; Definition des Graphen in einer Kantenliste mit den Bewertungen
; enthält auch die Zugriffsfunktion:
;;; ===== nachfolgekanten =====
; arbeitet mit der Assoziationsliste
(define
  (kanten-von knoten graph)
  (cond
    ((not (assoc knoten graph)) ; Keine Kanten mehr von dem Knoten
     ())
    (else
     (cons
      (assoc knoten graph)
      (kanten-von
       knoten 
       (cdr (member (assoc knoten graph) graph)))))))
;(kanten-von 'H gallenbacher-graph-kanten)

;;; ===== gallenbacher-graph-kanten =====
(define
  gallenbacher-graph-kanten
  '((A B 69)
    (A D 36)
    (A M 36)
    (A N 22)
    (B A 69)
    (B D 64)
    (B Z 32)
    (B H 30)
    (B I 34)
    (B X 26)
    (C I 40)
    (C M 31)
    (C X 23)
    (D A 36)
    (D B 64) 
    (D L 95)
    (D N 20)
    (E F 79)
    (E G 60)
    (E K 31)
    (E O 102)
    (F E 79)
    (F K 29)
    (F O 14)
    (F P 57)
    (G E 60)
    (G K 58)
    (G L 58)
    (G Y 30)
    (H B 30)
    (H I 65)
    (H K 31)
    (H L 106)
    (H P 34)
    (H Y 29)
    (I B 34)
    (I C 40)
    (I H 65)
    (I M 43)
    (I P 55)
    (K E 31)
    (K F 29)
    (K G 58)
    (K H 31)
    (K P 25)
    (K Y 20)
    (L D 95)
    (L G 58)
    (L H 106)
    (L Z 40)
    (M A 36)
    (M C 31)
    (M I 43)
    (M X 12)
    (N A 22)
    (N D 20)
    (N X 29)
    (N Z 30)
    (O E 102)
    (O F 14)
    (O P 91)
    (P F 57)
    (P H 34)
    (P I 55)
    (P K 25)
    (P O 91)
    (X B 26)
    (X C 23)
    (X M 12)
    (X N 29)
    (Y G 30)
    (Y H 29)
    (Y K 20)
    (Y Z 23)
    (Z B 32)
    (Z L 40)
    (Z N 30)
    (Z Y 23)))
(define
  gallenbacher-graph-assoziationsliste
  '((A 
     (B 69)
     (D 36)
     (M 36)
     (N 22))
    (B
     (A 69)
     (D 64)
     (Z 32)
     (H 30)
     (I 34)
     (X 26))
    (C
     (I 40)
     (M 31)
     (X 23))
    (D 
     (A 36)
     (B 64) 
     (L 95)
     (N 20))
    (E 
     (F 79)
     (G 60)
     (K 31)
     (O 102))
    (F 
     (E 79)
     (K 29)
     (O 14)
     (P 57))
    (G 
     (E 60)
     (K 58)
     (L 58)
     (Y 30))
    (H 
     (B 30)
     (I 65)
     (K 31)
     (L 106)
     (P 34)
     (Y 29))
    (I 
     (B 34)
     (C 40)
     (H 65)
     (M 43)
     (P 55))
    (K 
     (E 31)
     (F 29)
     (G 58)
     (H 31)
     (P 25)
     (Y 20))
    (L 
     (D 95)
     (G 58)
     (H 106)
     (Z 40))
    (M 
     (A 36)
     (C 31)
     (I 43)
     (X 12))
    (N 
     (A 22)
     (D 20)
     (X 29)
     (Z 30))
    (O 
     (E 102)
     (F 14)
     (P 91))
    (P 
     (F 57)
     (H 34)
     (I 55)
     (K 25)
     (O 91))
    (X 
     (B 26)
     (C 23)
     (M 12)
     (N 29))
    (Y 
     (G 30)
     (H 29)
     (K 20)
     (Z 23))
    (Z 
     (B 32)
     (L 40)
     (N 30)
     (Y 23))))


